buttons and menu entries broke after an upgrade

Bug #12290 reported by Debian Bug Importer on 2005-01-26
8
Affects Status Importance Assigned to Milestone
gnome-panel (Debian)
Fix Released
Unknown
gnome-panel (Ubuntu)
High
Sebastien Bacher

Bug Description

Automatically imported from Debian bug report #292346 http://bugs.debian.org/292346

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #292346 http://bugs.debian.org/292346

Debian Bug Importer (debzilla) wrote :
Download full text (4.1 KiB)

Message-ID: <email address hidden>
Date: Wed, 26 Jan 2005 14:59:46 +0100
From: Marco d'Itri <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: buttons and menu entries broke after an upgrade

--+HP7ph2BbKc20aGI
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Package: gnome-panel
Version: 2.8.2-1
Severity: grave

Two days ago I upgraded some components of gnome, and since then the
panel has been broken: when I try to use a menu entry or an user-defined
menu I get an error dialog with the message "Cannot launch icon -
Details: Text was empty (or contained only whitespace)".
Another user on the same system works.
Please tell me how I can help debugging this problem.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.10
Locale: LANG=3Dit_IT@euro, LC_CTYPE=3Dit_IT@euro (charmap=3DISO-8859-15)

Versions of packages gnome-panel depends on:
ii gnome-control-center 1:2.8.1-3 The GNOME Control Center for G=
NOME
ii gnome-desktop-data 2.8.1-2 Common files for GNOME 2 deskt=
op a
ii gnome-panel-data 2.8.2-1 Common files for GNOME 2 panel
ii gnome-session 2.8.1-5 The GNOME 2 Session Manager
ii libart-2.0-2 2.3.16-6 Library of functions for 2D gr=
aphi
ii libatk1.0-0 1.8.0-4 The ATK accessibility toolkit
ii libbonobo2-0 2.8.0-4 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.8.0-2 The Bonobo UI library
ii libc6 2.3.2.ds1-20 GNU C Library: Shared librarie=
s an
ii libecal6 1.0.3-2 Client library for evolution c=
alen
ii libedataserver3 1.0.3-2 Utily library for evolution da=
ta s
ii libgconf2-4 2.8.1-4 GNOME configuration database s=
yste
ii libglade2-0 1:2.4.1-1 Library to load .glade files a=
t ru
ii libglib2.0-0 2.6.1-3 The GLib library of C routines
ii libgnome-desktop-2 2.8.1-2 Utility library for loading .d=
eskt
ii libgnome2-0 2.8.0-6 The GNOME 2 library - runtime =
file
ii libgnomecanvas2-0 2.8.0-1 A powerful object-oriented dis=
play
ii libgnomeui-0 2.8.0-3 The GNOME 2 libraries (User In=
terf
ii libgnomevfs2-0 2.8.3-9 The GNOME virtual file-system =
libr
ii libgtk2.0-0 2.4.14-2 The GTK+ graphical user interf=
ace=20
ii libice6 4.3.0.dfsg.1-10 Inter-Client Exchange library
ii liborbit2 1:2.10.2-1.1 libraries for ORBit2 - a CORBA=
 ORB
ii libpanel-applet2-0 2.8.2-1 Library for GNOME 2 Panel appl=
ets
ii libpango1.0-0 1.6.0-3 Layout and rendering of intern=
atio
ii libpng12-0 1.2.8rel-1 PNG library - runtime
ii libpopt0 1.7-5 lib for parsing cmdline parame=
ters
ii libsm6 4.3.0.dfsg.1-10 X Window System ...

Read more...

Sebastien Bacher (seb128) wrote :

probably something wrong with the user system and 2.9 has a totally different
menu system, closing as NOTWARTY

Package: gnome-panel
Version: 2.8.2-1
Followup-For: Bug #292346

my gnome menu is empty (execpt the debian submenu)

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.9-powerpc
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)

Versions of packages gnome-panel depends on:
ii gnome-control-center 1:2.8.1-3 The GNOME Control Center for GNOME
ii gnome-desktop-data 2.8.1-2 Common files for GNOME 2 desktop a
ii gnome-panel-data 2.8.2-1 Common files for GNOME 2 panel
ii gnome-session 2.8.1-5 The GNOME 2 Session Manager
ii libart-2.0-2 2.3.16-6 Library of functions for 2D graphi
ii libatk1.0-0 1.8.0-4 The ATK accessibility toolkit
ii libbonobo2-0 2.8.0-4 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.8.0-2 The Bonobo UI library
ii libc6 2.3.2.ds1-20 GNU C Library: Shared libraries an
ii libecal6 1.0.3-2 Client library for evolution calen
ii libedataserver3 1.0.3-2 Utily library for evolution data s
ii libgconf2-4 2.8.1-4 GNOME configuration database syste
ii libglade2-0 1:2.4.1-2 library to load .glade files at ru
ii libglib2.0-0 2.6.1-3 The GLib library of C routines
ii libgnome-desktop-2 2.8.1-2 Utility library for loading .deskt
ii libgnome2-0 2.8.0-6 The GNOME 2 library - runtime file
ii libgnomecanvas2-0 2.8.0-1 A powerful object-oriented display
ii libgnomeui-0 2.8.0-3 The GNOME 2 libraries (User Interf
ii libgnomevfs2-0 2.8.3-9 The GNOME virtual file-system libr
ii libgtk2.0-0 2.4.14-2 The GTK+ graphical user interface
ii libice6 4.3.0.dfsg.1-10 Inter-Client Exchange library
ii liborbit2 1:2.10.2-1.1 libraries for ORBit2 - a CORBA ORB
ii libpanel-applet2-0 2.8.2-1 Library for GNOME 2 Panel applets
ii libpango1.0-0 1.6.0-3 Layout and rendering of internatio
ii libpng12-0 1.2.8rel-1 PNG library - runtime
ii libpopt0 1.7-5 lib for parsing cmdline parameters
ii libsm6 4.3.0.dfsg.1-10 X Window System Session Management
ii libstartup-notification0 0.7-1 library for program launch feedbac
ii libwnck4 2.8.1-3 Window Navigator Construction Kit
ii libx11-6 4.3.0.dfsg.1-10 X Window System protocol client li
ii libxext6 4.3.0.dfsg.1-10 X Window System miscellaneous exte
ii libxml2 2.6.11-5 GNOME XML library
ii xlibs 4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu
ii zlib1g 1:1.2.2-4 compression library - runtime

-- no debconf information

Debian Bug Importer (debzilla) wrote :
Download full text (3.3 KiB)

Message-ID: <email address hidden>
Date: Wed, 26 Jan 2005 20:24:34 +0100
From: =?utf-8?q?Beno=C3=AEt_Dejean?= <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: gnome-panel: menu is empty

Package: gnome-panel
Version: 2.8.2-1
Followup-For: Bug #292346

my gnome menu is empty (execpt the debian submenu)

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.9-powerpc
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)

Versions of packages gnome-panel depends on:
ii gnome-control-center 1:2.8.1-3 The GNOME Control Center for GNOME
ii gnome-desktop-data 2.8.1-2 Common files for GNOME 2 desktop a
ii gnome-panel-data 2.8.2-1 Common files for GNOME 2 panel
ii gnome-session 2.8.1-5 The GNOME 2 Session Manager
ii libart-2.0-2 2.3.16-6 Library of functions for 2D graphi
ii libatk1.0-0 1.8.0-4 The ATK accessibility toolkit
ii libbonobo2-0 2.8.0-4 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.8.0-2 The Bonobo UI library
ii libc6 2.3.2.ds1-20 GNU C Library: Shared libraries an
ii libecal6 1.0.3-2 Client library for evolution calen
ii libedataserver3 1.0.3-2 Utily library for evolution data s
ii libgconf2-4 2.8.1-4 GNOME configuration database syste
ii libglade2-0 1:2.4.1-2 library to load .glade files at ru
ii libglib2.0-0 2.6.1-3 The GLib library of C routines
ii libgnome-desktop-2 2.8.1-2 Utility library for loading .deskt
ii libgnome2-0 2.8.0-6 The GNOME 2 library - runtime file
ii libgnomecanvas2-0 2.8.0-1 A powerful object-oriented display
ii libgnomeui-0 2.8.0-3 The GNOME 2 libraries (User Interf
ii libgnomevfs2-0 2.8.3-9 The GNOME virtual file-system libr
ii libgtk2.0-0 2.4.14-2 The GTK+ graphical user interface
ii libice6 4.3.0.dfsg.1-10 Inter-Client Exchange library
ii liborbit2 1:2.10.2-1.1 libraries for ORBit2 - a CORBA ORB
ii libpanel-applet2-0 2.8.2-1 Library for GNOME 2 Panel applets
ii libpango1.0-0 1.6.0-3 Layout and rendering of internatio
ii libpng12-0 1.2.8rel-1 PNG library - runtime
ii libpopt0 1.7-5 lib for parsing cmdline parameters
ii libsm6 4.3.0.dfsg.1-10 X Window System Session Management
ii libstartup-notification0 0.7-1 library for program launch feedbac
ii libwnck4 2.8.1-3 Window Navigator Construction Kit
ii libx11-6 4.3.0.dfsg.1-10 X Window System protocol client li
ii libxext6 4.3.0.dfsg.1-10 X Window System miscellaneous exte
ii libxml2 2.6.11-5 GNOME XML library
ii xlibs 4...

Read more...

severity 292346 important
thanks

Coin,

Marco d'Itri <email address hidden> writes:

> Two days ago I upgraded some components of gnome, and since then the
> panel has been broken: when I try to use a menu entry or an user-defined
> menu I get an error dialog with the message "Cannot launch icon -
> Details: Text was empty (or contained only whitespace)".
> Another user on the same system works.
> Please tell me how I can help debugging this problem.

Could you run update-menus and see if it solves the problem ?

--
Marc Dequènes (Duck)

Coin,

Benoît Dejean <email address hidden> writes:

> my gnome menu is empty (execpt the debian submenu)

That's quite bad.

What it after an upgrade like Marco d'Itri ?
In this case, any error or warning during upgrade ?

Do you mean you have no app entries, or not even dir entries like
'Games', 'Graphics', ... ?
Looks like a broken upgrade with missing parts.
If no app entries, is your '/usr/share/applications/' empty ?
If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?

--
Marc Dequènes (Duck)

On Jan 26, Marc Dequènes <email address hidden> wrote:

> Could you run update-menus and see if it solves the problem ?
Not at all (I did run it both as user and as root).

More info: every time I select a menu entry this is printed (to
~/.xsession-errors):

sn_launcher_context_complete called for an SnLauncherContext that hasn't been initiated

(gnome-panel:21113): Gtk-WARNING **: Ignoring the separator setting

and when I click a panel button only the second message is printed.

--
ciao,
Marco

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 26 Jan 2005 22:59:16 +0100
From: =?utf-8?q?Marc_Dequ=C3=A8nes?= (Duck) <email address hidden>
To: Marco d'Itri <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: Bug#292346: buttons and menu entries broke after an upgrade

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

severity 292346 important
thanks

Coin,

Marco d'Itri <email address hidden> writes:

> Two days ago I upgraded some components of gnome, and since then the
> panel has been broken: when I try to use a menu entry or an user-defined
> menu I get an error dialog with the message "Cannot launch icon -
> Details: Text was empty (or contained only whitespace)".
> Another user on the same system works.
> Please tell me how I can help debugging this problem.

Could you run update-menus and see if it solves the problem ?

=2D-=20
Marc Dequ=C3=A8nes (Duck)

--=-=-=
Content-Type: application/pgp-signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBB+BK4sczZcpAmcIYRAlO5AJ9MD9ff9AYDEeguF0JQN92Yb6TSfQCeI91l
6673+BcAPBI0ivtMxHJxsXc=
=QyzZ
-----END PGP SIGNATURE-----
--=-=-=--

Le mercredi 26 janvier 2005 à 23:09 +0100, Marc Dequènes a écrit :
> Coin,
Pan Pan !

>
> What it after an upgrade like Marco d'Itri ?
> In this case, any error or warning during upgrade ?

i can't say, i dist-upgrade everyday. Tonight, i have to reboot ... no
more entries.

> Do you mean you have no app entries, or not even dir entries like
> 'Games', 'Graphics', ... ?

Not a single, just the Debian Entry

> Looks like a broken upgrade with missing parts.
> If no app entries, is your '/usr/share/applications/' empty ?
> If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?

they are both full of .desktop and are readable.

--
Benoît Dejean
JID: <email address hidden>
GNOME http://www.gnomefr.org/
LibGTop http://directory.fsf.org/libgtop.html

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 26 Jan 2005 23:09:02 +0100
From: =?utf-8?q?Marc_Dequ=C3=A8nes?= (Duck) <email address hidden>
To: <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#292346: gnome-panel: menu is empty

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Coin,

Beno=C3=AEt Dejean <email address hidden> writes:

> my gnome menu is empty (execpt the debian submenu)

That's quite bad.

What it after an upgrade like Marco d'Itri ?
In this case, any error or warning during upgrade ?

Do you mean you have no app entries, or not even dir entries like
'Games', 'Graphics', ... ?
Looks like a broken upgrade with missing parts.
If no app entries, is your '/usr/share/applications/' empty ?
If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?

=2D-=20
Marc Dequ=C3=A8nes (Duck)

--=-=-=
Content-Type: application/pgp-signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBB+BT+sczZcpAmcIYRAn4ZAJ4xfo6vl/GuFvXJZ0pQfXGJbnG/MQCfbOvU
JvZ8K7qbHQ3p3yZJ4GgQw6M=
=4DPH
-----END PGP SIGNATURE-----
--=-=-=--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 26 Jan 2005 23:29:32 +0100
From: <email address hidden> (Marco d'Itri)
To: Marc =?iso-8859-1?Q?Dequ=E8nes?= <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#292346: buttons and menu entries broke after an upgrade

--fdj2RfSjLxBAspz7
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Jan 26, Marc Dequ=E8nes <email address hidden> wrote:

> Could you run update-menus and see if it solves the problem ?
Not at all (I did run it both as user and as root).

More info: every time I select a menu entry this is printed (to
~/.xsession-errors):

sn_launcher_context_complete called for an SnLauncherContext that hasn't be=
en initiated

(gnome-panel:21113): Gtk-WARNING **: Ignoring the separator setting

and when I click a panel button only the second message is printed.

--=20
ciao,
Marco

--fdj2RfSjLxBAspz7
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB+BnMFGfw2OHuP7ERAu52AKCY6URGSsV/gh8g2O88VTZ13AbaLACgo/TB
49dE1E1T0pxoYWppqJtBqZY=
=gE4U
-----END PGP SIGNATURE-----

--fdj2RfSjLxBAspz7--

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 26 Jan 2005 23:37:34 +0100
From: =?ISO-8859-1?Q?Beno=EEt?= Dejean <email address hidden>
To: Marc =?ISO-8859-1?Q?Dequ=E8nes?= <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#292346: gnome-panel: menu is empty

--=-RQ5cx/UFWF8Sd9JSFUkv
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Le mercredi 26 janvier 2005 =C3=A0 23:09 +0100, Marc Dequ=C3=A8nes a =C3=A9=
crit :
> Coin,
Pan Pan !

>=20
> What it after an upgrade like Marco d'Itri ?
> In this case, any error or warning during upgrade ?

i can't say, i dist-upgrade everyday. Tonight, i have to reboot ... no
more entries.

> Do you mean you have no app entries, or not even dir entries like
> 'Games', 'Graphics', ... ?

Not a single, just the Debian Entry

> Looks like a broken upgrade with missing parts.
> If no app entries, is your '/usr/share/applications/' empty ?
> If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?

they are both full of .desktop and are readable.

--=20
Beno=C3=AEt Dejean
JID: <email address hidden>
GNOME http://www.gnomefr.org/
LibGTop http://directory.fsf.org/libgtop.html

--=-RQ5cx/UFWF8Sd9JSFUkv
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Ceci est une partie de message
 =?ISO-8859-1?Q?num=E9riquement?= =?ISO-8859-1?Q?_sign=E9e?=

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQBB+BuuliyxJIUSPQoRAiI1AJ9nvQB9BjEXFDRknk4V31L2lxr6UgCdHLsT
qkJcgSeaFDs4Bn4TCCnqonY=
=EJ01
-----END PGP SIGNATURE-----

--=-RQ5cx/UFWF8Sd9JSFUkv--

On Wed, Jan 26, 2005 at 11:37:34PM +0100, Benoît Dejean wrote:
> Le mercredi 26 janvier 2005 à 23:09 +0100, Marc Dequènes a écrit :

> > Looks like a broken upgrade with missing parts.
> > If no app entries, is your '/usr/share/applications/' empty ?
> > If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?
>
> they are both full of .desktop and are readable.

What do the following commands output:
  gnomevfs-ls applications://
  gnomevfs-ls applications-all-users://

If both output nothing, then it's a gnome-vfs2 bug..

  Sjoerd
--
"The four building blocks of the universe are fire, water, gravel and vinyl."
  -- Dave Barry

Download full text (4.6 KiB)

On Jan 27, Sjoerd Simons <email address hidden> wrote:

> On Wed, Jan 26, 2005 at 11:37:34PM +0100, Benoît Dejean wrote:
> > Le mercredi 26 janvier 2005 à 23:09 +0100, Marc Dequènes a écrit :
>
> > > Looks like a broken upgrade with missing parts.
> > > If no app entries, is your '/usr/share/applications/' empty ?
abiword.desktop
abiword.desktop.no-plugins
acroread.desktop
balsa.desktop
blackjack.desktop
blogtk.desktop
bmp.desktop
easytag.desktop
ed2k_gui.desktop
emacs21.desktop
eog.desktop
ethereal.desktop
ethereal-root.desktop
file-roller.desktop
freecell.desktop
frozen-bubble.desktop
gaim.desktop
galeon.desktop
gataxx.desktop
gconf-editor.desktop
gdesklets.desktop
gdmflexiserver.desktop
gdmflexiserver-xnest.desktop
gdmsetup.desktop
gedit.desktop
gfloppy.desktop
ggv.desktop
gksu.desktop
gksuexec.desktop
glines.desktop
gnect.desktop
gnibbles.desktop
gnobots2.desktop
gnome-blog.desktop
gnomecc.desktop
gnome-cd.desktop
gnome-dictionary.desktop
gnome-font-viewer.desktop
gnomemeeting.desktop
gnome-search-tool.desktop
gnome-sound-recorder.desktop
gnome-stones.desktop
gnome-system-log.desktop
gnome-system-monitor.desktop
gnome-terminal.desktop
gnometris.desktop
gnome-volume-control.desktop
gnomine.desktop
gnotravex.desktop
gnotski.desktop
gnumeric.desktop
gossip.desktop
gpdf.desktop
gqview.desktop
gtali.desktop
gtetrinet.desktop
gtodo.desktop
gtranslator.desktop
gucharmap.desktop
iagno.desktop
inkscape.desktop
liferea.desktop
mahjongg.desktop
mimeinfo.cache
Mozilla.desktop
Mozilla-editor.desktop
mozilla-firefox.desktop
mplayer.desktop
nautilus-computer.desktop
nautilus.desktop
nautilus-home.desktop
net-tvtime.desktop
network-scheme.desktop
nmapfe.desktop
poedit.desktop
reclevel.desktop
rhythmbox.desktop
same-gnome.desktop
screem.desktop
sol.desktop
ssh-askpass-gnome.desktop
straw.desktop
synaptic.desktop
themus-theme-applier.desktop
totem.desktop
vumeter.desktop
xchm.desktop
XMMS.desktop
xvattr.desktop
yelp.desktop
zapping.desktop

> > > If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?
Accessibility.directory
Accessories.directory
Advanced.directory
Applications.directory
Development.directory
font-method.directory
Games.directory
Graphics.directory
Internet.directory
Multimedia.directory
Office.directory
Other.directory
Root.directory
Settings.directory
System.directory
theme-method.directory

> What do the following commands output:
> gnomevfs-ls applications://
nautilus-home.desktop (Regular, application/x-gnome-app-info) size 7619 mode 0644
Accessories (Directory, x-directory/vfolder-desktop) size 0 mode 0000
Programming (Directory, x-directory/vfolder-desktop) size 0 mode 0000
Multimedia (Directory, x-directory/vfolder-desktop) size 0 mode 0000
Games (Directory, x-directory/vfolder-desktop) size 0 mode 0000
nautilus-computer.desktop (Regular, application/x-gnome-app-info) size 5029 mode 0644
Preferences (Directory, x-directory/vfolder-desktop) size 0 mode 0000
.directory (Regular, application/x-gnome-app-info) size 3499 mode 0644
Graphics (Directory, x-directory/vfolder-desktop) size 0 mode 0000
System (Directory, x-directory/vfolder-desktop) size 0 mode 0000
yelp.desktop (Regular, application/x-gnome-app-info) ...

Read more...

Download full text (4.4 KiB)

BTW, I don't know if it's related but I noticed that I can reliably make
some applications (so far I only noticed gedit and nautils, which I
usually do not use) segfault:

gedit (clicking on a just opened file):

(gdb) where
#0 0xb7d2bfd3 in strlen () from /lib/tls/libc.so.6
#1 0x080a2728 in gnome_print_font_dialog_get_preview ()
#2 0x080a35bb in egg_recent_model_add_full ()
#3 0x0807724d in gedit_file_open_from_stdin ()
#4 0xb7e0f4f3 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#5 0xb7e0c4f2 in g_main_depth () from /usr/lib/libglib-2.0.so.0
#6 0xb7e0d568 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#7 0xb7e0d8a0 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#8 0xb7e0de43 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#9 0x4f5c0c83 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x08060757 in main ()

nautilus (opening a text file):

#0 0xb7db9fd3 in strlen () from /lib/tls/libc.so.6
#1 0x4fd7baa8 in gtk_wrap_box_query_line_lengths ()
   from /usr/lib/libnautilus-private.so.2
#2 0x4fd7c93b in egg_recent_model_add_full ()
   from /usr/lib/libnautilus-private.so.2
#3 0x4fd7cb6a in egg_recent_model_add ()
   from /usr/lib/libnautilus-private.so.2
#4 0x080ab25c in fm_directory_view_notify_selection_changed ()
#5 0x4fd22e33 in nautilus_directory_add_file_monitors ()
   from /usr/lib/libnautilus-private.so.2
#6 0x4fd240bc in nautilus_async_destroying_file ()
   from /usr/lib/libnautilus-private.so.2
#7 0x4fd26f07 in nautilus_directory_async_state_changed ()
   from /usr/lib/libnautilus-private.so.2
#8 0x4fd2300f in nautilus_directory_call_when_ready_internal ()
   from /usr/lib/libnautilus-private.so.2
#9 0x4fd76069 in nautilus_vfs_file_get_type ()
   from /usr/lib/libnautilus-private.so.2
#10 0x4fd45c3b in nautilus_file_call_when_ready ()
   from /usr/lib/libnautilus-private.so.2
#11 0x080ab721 in fm_directory_view_notify_selection_changed ()
#12 0x080ab85c in fm_directory_view_activate_files ()
#13 0x080b4e5c in fm_icon_view_get_type ()
#14 0xb7f84b53 in g_cclosure_marshal_VOID__POINTER ()
   from /usr/lib/libgobject-2.0.so.0
#15 0xb7f72686 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#16 0xb7f83d1f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#17 0xb7f82dec in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#18 0xb7f83076 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#19 0x4fd57d4a in nautilus_icon_container_for_each ()
   from /usr/lib/libnautilus-private.so.2
#20 0x4fd574ee in nautilus_icon_container_flush_typeselect_state ()
   from /usr/lib/libnautilus-private.so.2
#21 0x4fd575d0 in nautilus_icon_container_flush_typeselect_state ()
   from /usr/lib/libnautilus-private.so.2
#22 0x4fc3e034 in eel_marshal_BOOLEAN__BOXED () from /usr/lib/libeel-2.so.2
#23 0xb7f72686 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#24 0xb7f83d1f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#25 0xb7f82bdc in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#26 0xb7f83076 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#27 0x4fc1aafc in eel_canvas_new () from /usr/lib/libeel-2.so.2
#28 0x4fc1b102 in eel_can...

Read more...

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 27 Jan 2005 00:50:16 +0100
From: <email address hidden> (Sjoerd Simons)
To: <email address hidden>, Marco d'Itri <email address hidden>,
 <email address hidden>
Cc: Marc =?iso-8859-1?Q?Dequ=E8nes?= <email address hidden>
Subject: Re: Bug#292346: gnome-panel: menu is empty

On Wed, Jan 26, 2005 at 11:37:34PM +0100, Beno=EEt Dejean wrote:
> Le mercredi 26 janvier 2005 =E0 23:09 +0100, Marc Dequ=E8nes a =E9crit =
:

> > Looks like a broken upgrade with missing parts.
> > If no app entries, is your '/usr/share/applications/' empty ?
> > If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?
>=20
> they are both full of .desktop and are readable.

What do the following commands output:
  gnomevfs-ls applications://
  gnomevfs-ls applications-all-users://

If both output nothing, then it's a gnome-vfs2 bug..=20

  Sjoerd
--=20
"The four building blocks of the universe are fire, water, gravel and vin=
yl."
  -- Dave Barry

Debian Bug Importer (debzilla) wrote :
Download full text (4.9 KiB)

Message-ID: <email address hidden>
Date: Thu, 27 Jan 2005 00:53:31 +0100
From: <email address hidden> (Marco d'Itri)
To: Sjoerd Simons <email address hidden>
Cc: <email address hidden>, <email address hidden>, Marc =?iso-8859-1?Q?Dequ=E8nes?= <email address hidden>
Subject: Re: Bug#292346: gnome-panel: menu is empty

On Jan 27, Sjoerd Simons <email address hidden> wrote:

> On Wed, Jan 26, 2005 at 11:37:34PM +0100, Beno=EEt Dejean wrote:
> > Le mercredi 26 janvier 2005 =E0 23:09 +0100, Marc Dequ=E8nes a =E9cri=
t :
>=20
> > > Looks like a broken upgrade with missing parts.
> > > If no app entries, is your '/usr/share/applications/' empty ?
abiword.desktop
abiword.desktop.no-plugins
acroread.desktop
balsa.desktop
blackjack.desktop
blogtk.desktop
bmp.desktop
easytag.desktop
ed2k_gui.desktop
emacs21.desktop
eog.desktop
ethereal.desktop
ethereal-root.desktop
file-roller.desktop
freecell.desktop
frozen-bubble.desktop
gaim.desktop
galeon.desktop
gataxx.desktop
gconf-editor.desktop
gdesklets.desktop
gdmflexiserver.desktop
gdmflexiserver-xnest.desktop
gdmsetup.desktop
gedit.desktop
gfloppy.desktop
ggv.desktop
gksu.desktop
gksuexec.desktop
glines.desktop
gnect.desktop
gnibbles.desktop
gnobots2.desktop
gnome-blog.desktop
gnomecc.desktop
gnome-cd.desktop
gnome-dictionary.desktop
gnome-font-viewer.desktop
gnomemeeting.desktop
gnome-search-tool.desktop
gnome-sound-recorder.desktop
gnome-stones.desktop
gnome-system-log.desktop
gnome-system-monitor.desktop
gnome-terminal.desktop
gnometris.desktop
gnome-volume-control.desktop
gnomine.desktop
gnotravex.desktop
gnotski.desktop
gnumeric.desktop
gossip.desktop
gpdf.desktop
gqview.desktop
gtali.desktop
gtetrinet.desktop
gtodo.desktop
gtranslator.desktop
gucharmap.desktop
iagno.desktop
inkscape.desktop
liferea.desktop
mahjongg.desktop
mimeinfo.cache
Mozilla.desktop
Mozilla-editor.desktop
mozilla-firefox.desktop
mplayer.desktop
nautilus-computer.desktop
nautilus.desktop
nautilus-home.desktop
net-tvtime.desktop
network-scheme.desktop
nmapfe.desktop
poedit.desktop
reclevel.desktop
rhythmbox.desktop
same-gnome.desktop
screem.desktop
sol.desktop
ssh-askpass-gnome.desktop
straw.desktop
synaptic.desktop
themus-theme-applier.desktop
totem.desktop
vumeter.desktop
xchm.desktop
XMMS.desktop
xvattr.desktop
yelp.desktop
zapping.desktop

> > > If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?
Accessibility.directory
Accessories.directory
Advanced.directory
Applications.directory
Development.directory
font-method.directory
Games.directory
Graphics.directory
Internet.directory
Multimedia.directory
Office.directory
Other.directory
Root.directory
Settings.directory
System.directory
theme-method.directory

> What do the following commands output:
> gnomevfs-ls applications://
nautilus-home.desktop (Regular, application/x-gnome-app-info) size 7619 =
mode 0644
Accessories (Directory, x-directory/vfolder-desktop) size 0 mode 0000
Programming (Directory, x-directory/vfolder-desktop) size 0 mode 0000
Multimedia (Directory, x-directory/vfolder-desktop) size 0 mode 0000
Games (Directory, x-directory/vfolder-desktop) size 0 mode 0000
nautilus-computer.desktop (Regular, application/x-gnome-app-info) size 5=
029...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (4.6 KiB)

Message-ID: <email address hidden>
Date: Thu, 27 Jan 2005 01:00:38 +0100
From: <email address hidden> (Marco d'Itri)
To: <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#292346: buttons and menu entries broke after an upgrade

BTW, I don't know if it's related but I noticed that I can reliably make
some applications (so far I only noticed gedit and nautils, which I
usually do not use) segfault:

gedit (clicking on a just opened file):

(gdb) where
#0 0xb7d2bfd3 in strlen () from /lib/tls/libc.so.6
#1 0x080a2728 in gnome_print_font_dialog_get_preview ()
#2 0x080a35bb in egg_recent_model_add_full ()
#3 0x0807724d in gedit_file_open_from_stdin ()
#4 0xb7e0f4f3 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#5 0xb7e0c4f2 in g_main_depth () from /usr/lib/libglib-2.0.so.0
#6 0xb7e0d568 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#7 0xb7e0d8a0 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#8 0xb7e0de43 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#9 0x4f5c0c83 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x08060757 in main ()

nautilus (opening a text file):

#0 0xb7db9fd3 in strlen () from /lib/tls/libc.so.6
#1 0x4fd7baa8 in gtk_wrap_box_query_line_lengths ()
   from /usr/lib/libnautilus-private.so.2
#2 0x4fd7c93b in egg_recent_model_add_full ()
   from /usr/lib/libnautilus-private.so.2
#3 0x4fd7cb6a in egg_recent_model_add ()
   from /usr/lib/libnautilus-private.so.2
#4 0x080ab25c in fm_directory_view_notify_selection_changed ()
#5 0x4fd22e33 in nautilus_directory_add_file_monitors ()
   from /usr/lib/libnautilus-private.so.2
#6 0x4fd240bc in nautilus_async_destroying_file ()
   from /usr/lib/libnautilus-private.so.2
#7 0x4fd26f07 in nautilus_directory_async_state_changed ()
   from /usr/lib/libnautilus-private.so.2
#8 0x4fd2300f in nautilus_directory_call_when_ready_internal ()
   from /usr/lib/libnautilus-private.so.2
#9 0x4fd76069 in nautilus_vfs_file_get_type ()
   from /usr/lib/libnautilus-private.so.2
#10 0x4fd45c3b in nautilus_file_call_when_ready ()
   from /usr/lib/libnautilus-private.so.2
#11 0x080ab721 in fm_directory_view_notify_selection_changed ()
#12 0x080ab85c in fm_directory_view_activate_files ()
#13 0x080b4e5c in fm_icon_view_get_type ()
#14 0xb7f84b53 in g_cclosure_marshal_VOID__POINTER ()
   from /usr/lib/libgobject-2.0.so.0
#15 0xb7f72686 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#16 0xb7f83d1f in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#17 0xb7f82dec in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#18 0xb7f83076 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#19 0x4fd57d4a in nautilus_icon_container_for_each ()
   from /usr/lib/libnautilus-private.so.2
#20 0x4fd574ee in nautilus_icon_container_flush_typeselect_state ()
   from /usr/lib/libnautilus-private.so.2
#21 0x4fd575d0 in nautilus_icon_container_flush_typeselect_state ()
   from /usr/lib/libnautilus-private.so.2
#22 0x4fc3e034 in eel_marshal_BOOLEAN__BOXED () from /usr/lib/libeel-2.so.2
#23 0xb7f72686 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#24 0xb7f83d1f in g_signal_emit_by_name () from /usr/li...

Read more...

Benoît Dejean <email address hidden> writes:

> Le mercredi 26 janvier 2005 à 23:09 +0100, Marc Dequènes a écrit :
>> Coin,
> Pan Pan !

Aïe !!! naughty hunter !

> i can't say, i dist-upgrade everyday. Tonight, i have to reboot ... no
> more entries.

Last panel upload was in december, and next is not yet ready, so i guess
some other pkg caused this problem.
Do you recall what GNOME or GNOME-related pkgs were upgraded as well
that day ?

>> Do you mean you have no app entries, or not even dir entries like
>> 'Games', 'Graphics', ... ?
>
> Not a single, just the Debian Entry
>
>> Looks like a broken upgrade with missing parts.
>> If no app entries, is your '/usr/share/applications/' empty ?
>> If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?
>
> they are both full of .desktop and are readable.

/me gratt gratt gratt

searching...

--
Marc Dequènes (Duck)

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 27 Jan 2005 04:03:42 +0100
From: =?utf-8?q?Marc_Dequ=C3=A8nes?= (Duck) <email address hidden>
To: <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#292346: gnome-panel: menu is empty

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Beno=C3=AEt Dejean <email address hidden> writes:

> Le mercredi 26 janvier 2005 =C3=A0 23:09 +0100, Marc Dequ=C3=A8nes a =C3=
=A9crit :
>> Coin,
> Pan Pan !

A=C3=AFe !!! naughty hunter !

> i can't say, i dist-upgrade everyday. Tonight, i have to reboot ... no
> more entries.

Last panel upload was in december, and next is not yet ready, so i guess
some other pkg caused this problem.
Do you recall what GNOME or GNOME-related pkgs were upgraded as well
that day ?

>> Do you mean you have no app entries, or not even dir entries like
>> 'Games', 'Graphics', ... ?
>
> Not a single, just the Debian Entry
>
>> Looks like a broken upgrade with missing parts.
>> If no app entries, is your '/usr/share/applications/' empty ?
>> If no dir entries, is your '/usr/share/gnome/vfolders/' empty ?
>
> they are both full of .desktop and are readable.

/me gratt gratt gratt

searching...

=2D-=20
Marc Dequ=C3=A8nes (Duck)

--=-=-=
Content-Type: application/pgp-signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBB+FoTsczZcpAmcIYRAgOYAJ9ytb0g89hKfq6miAhu/lUixD3yjwCfRisb
T7QdqfxmeWYnG+516JFxlSM=
=Kc+s
-----END PGP SIGNATURE-----
--=-=-=--

Le jeudi 27 janvier 2005 à 00:50 +0100, Sjoerd Simons a écrit :
> What do the following commands output:
> gnomevfs-ls applications://
> gnomevfs-ls applications-all-users://
>
> If both output nothing, then it's a gnome-vfs2 bug..

benoit@ibook >>> LC_ALL=C gnomevfs-ls applications://
Error opening: Invalid URI

benoit@ibook >>> LC_ALL=C gnomevfs-ls applications-all-users://
Error opening: Invalid URI

bad :/
--
Benoît Dejean
JID: <email address hidden>
GNOME http://www.gnomefr.org/
LibGTop http://directory.fsf.org/libgtop.html

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Thu, 27 Jan 2005 08:02:23 +0100
From: =?ISO-8859-1?Q?Beno=EEt?= Dejean <email address hidden>
To: Sjoerd Simons <email address hidden>
Cc: Marco d'Itri <email address hidden>, <email address hidden>,
 Marc =?ISO-8859-1?Q?Dequ=E8nes?= <email address hidden>
Subject: Re: Bug#292346: gnome-panel: menu is empty

--=-tqr8gSEgQO43+Uh8FZmu
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Le jeudi 27 janvier 2005 =C3=A0 00:50 +0100, Sjoerd Simons a =C3=A9crit :
> What do the following commands output:
> gnomevfs-ls applications://
> gnomevfs-ls applications-all-users://
>=20
> If both output nothing, then it's a gnome-vfs2 bug..=20

benoit@ibook >>> LC_ALL=3DC gnomevfs-ls applications://
Error opening: Invalid URI

benoit@ibook >>> LC_ALL=3DC gnomevfs-ls applications-all-users://
Error opening: Invalid URI

bad :/
--=20
Beno=C3=AEt Dejean
JID: <email address hidden>
GNOME http://www.gnomefr.org/
LibGTop http://directory.fsf.org/libgtop.html

--=-tqr8gSEgQO43+Uh8FZmu
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Ceci est une partie de message
 =?ISO-8859-1?Q?num=E9riquement?= =?ISO-8859-1?Q?_sign=E9e?=

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQBB+JH/liyxJIUSPQoRAprBAJ0WjC94L40dAQoQrFNOiSWR230dAwCeKrHk
67GiOaX38ilh8JP9tJcue24=
=ZcJ4
-----END PGP SIGNATURE-----

--=-tqr8gSEgQO43+Uh8FZmu--

On Thu, Jan 27, 2005 at 08:02:23AM +0100, Benoît Dejean wrote:
> Le jeudi 27 janvier 2005 à 00:50 +0100, Sjoerd Simons a écrit :
> > What do the following commands output:
> > gnomevfs-ls applications://
> > gnomevfs-ls applications-all-users://
> >
> > If both output nothing, then it's a gnome-vfs2 bug..
>
>
> benoit@ibook >>> LC_ALL=C gnomevfs-ls applications://
> Error opening: Invalid URI
>
> benoit@ibook >>> LC_ALL=C gnomevfs-ls applications-all-users://
> Error opening: Invalid URI

Okay, this bug is definitely a different one then the one Marco filed.

Actually this is the kind of output i would expect from gnome vfs 2.9.x, so
please check that your not accidentally using that (self-compiled or so)

If your systeem is indeed clean, then please file a new bug against gnome-vfs2,
with the info you just gave and the contents of /etc/gnome-vfs-2.0/vfolders and
/etc/gnome-vfs-2.0/modules/default-modules.conf..

  Sjoerd
--
The meek shall inherit the earth; the rest of us will go to the stars.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 27 Jan 2005 09:16:21 +0100
From: Sjoerd Simons <email address hidden>
To: <email address hidden>
Cc: Marco d'Itri <email address hidden>, <email address hidden>,
 Marc =?iso-8859-1?Q?Dequ=E8nes?= <email address hidden>
Subject: Re: Bug#292346: gnome-panel: menu is empty

On Thu, Jan 27, 2005 at 08:02:23AM +0100, Beno=EEt Dejean wrote:
> Le jeudi 27 janvier 2005 =E0 00:50 +0100, Sjoerd Simons a =E9crit :
> > What do the following commands output:
> > gnomevfs-ls applications://
> > gnomevfs-ls applications-all-users://
> >=20
> > If both output nothing, then it's a gnome-vfs2 bug..=20
>=20
>=20
> benoit@ibook >>> LC_ALL=3DC gnomevfs-ls applications://
> Error opening: Invalid URI
>=20
> benoit@ibook >>> LC_ALL=3DC gnomevfs-ls applications-all-users://
> Error opening: Invalid URI

Okay, this bug is definitely a different one then the one Marco filed.

Actually this is the kind of output i would expect from gnome vfs 2.9.x, =
so
please check that your not accidentally using that (self-compiled or so)

If your systeem is indeed clean, then please file a new bug against gnome=
-vfs2,
with the info you just gave and the contents of /etc/gnome-vfs-2.0/vfolde=
rs and
/etc/gnome-vfs-2.0/modules/default-modules.conf..=20

  Sjoerd
--=20
The meek shall inherit the earth; the rest of us will go to the stars.

Update: gnumeric crashes too, on startup.
I also verified that the programs work fine when run by a different
user.

--
ciao,
Marco

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 27 Jan 2005 23:54:25 +0100
From: <email address hidden> (Marco d'Itri)
To: <email address hidden>
Subject: Re: Bug#292346: Acknowledgement (buttons and menu entries broke after an upgrade)

--HlL+5n6rz5pIUxbD
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Update: gnumeric crashes too, on startup.
I also verified that the programs work fine when run by a different
user.

--=20
ciao,
Marco

--HlL+5n6rz5pIUxbD
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB+XEhFGfw2OHuP7ERAqD+AJ0a9Ya5zmUiGQQlO7pM5MHygNLAkwCfS2Dv
gZ0/Rqxzsy4SDMky5zSYu5I=
=9nXA
-----END PGP SIGNATURE-----

--HlL+5n6rz5pIUxbD--

        Hi,

 This is about Debian bug #292346.

 I think the common point between crashes is the
 egg_recent_model_add_full() which lets me think of recently opened
 files.

 Could you provide your .recently-used files?

   Thanks,

--
Loïc Minier <email address hidden>
"Neutral President: I have no strong feelings one way or the other."

On Jan 28, Loïc Minier <email address hidden> wrote:

> This is about Debian bug #292346.
>
> I think the common point between crashes is the
> egg_recent_model_add_full() which lets me think of recently opened
> files.
>
> Could you provide your .recently-used files?
It's empty, because somebody asked me to try removing it.
I also tried copying the one of another user but it did not work either.

I think you are correct, this is a stack trace from gpdf.
It crashes as soon as I open a file, and nothing is ever added to
~/.recently-used.

#0 0xb7d07fd3 in strlen () from /lib/tls/libc.so.6
No symbol table info available.
#1 0x080561f8 in eel_str_remove_bracketed_text ()
No symbol table info available.
#2 0x08056f12 in egg_recent_model_add_full ()
No symbol table info available.
#3 0x0805206e in gpdf_recent_facade_get_type ()
No symbol table info available.
#4 0x08052098 in gpdf_recent_facade_add_uri ()
No symbol table info available.
#5 0x08051d90 in gpdf_uri_input_open_uri ()
No symbol table info available.
#6 0x08050fa2 in gpdf_window_close ()
No symbol table info available.
#7 0x4fa41daa in bonobo_socket_add_id () from /usr/lib/libbonoboui-2.so.0
No symbol table info available.
#8 0xb7e59686 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9 0x4f87cc13 in bonobo_closure_invoke_va_list ()
   from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#10 0x4f87ce98 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
...

--
ciao,
Marco

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 28 Jan 2005 18:45:57 +0100
From: =?iso-8859-1?Q?Lo=EFc?= Minier <email address hidden>
To: <email address hidden>, Marc =?iso-8859-1?Q?Dequ=E8nes?= <email address hidden>,
 =?iso-8859-1?Q?Beno=EEt?= Dejean <email address hidden>, Sjoerd Simons <email address hidden>
Subject: Re: Bug#292346: Acknowledgement (buttons and menu entries broke after an upgrade)

        Hi,

 This is about Debian bug #292346.

 I think the common point between crashes is the
 egg_recent_model_add_full() which lets me think of recently opened
 files.

 Could you provide your .recently-used files?

   Thanks,

--=20
Lo=EFc Minier <email address hidden>
"Neutral President: I have no strong feelings one way or the other."

severity 291336 important
reassign 292346 libglib2.0-0
merge 291336 292346
thanks

        Hi,

 It was G_FILENAME_ENCODING set to "@local". Sebastien Bacher is working
 on backporting the fix.

   Bye,

--
Loïc Minier <email address hidden>
"Neutral President: I have no strong feelings one way or the other."

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 28 Jan 2005 18:51:37 +0100
From: <email address hidden> (Marco d'Itri)
To: =?iso-8859-1?Q?Lo=EFc?= Minier <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#292346: Acknowledgement (buttons and menu entries broke after an upgrade)

On Jan 28, Lo=EFc Minier <email address hidden> wrote:

> This is about Debian bug #292346.
>=20
> I think the common point between crashes is the
> egg_recent_model_add_full() which lets me think of recently opened
> files.
>=20
> Could you provide your .recently-used files?
It's empty, because somebody asked me to try removing it.
I also tried copying the one of another user but it did not work either.

I think you are correct, this is a stack trace from gpdf.
It crashes as soon as I open a file, and nothing is ever added to
~/.recently-used.

#0 0xb7d07fd3 in strlen () from /lib/tls/libc.so.6
No symbol table info available.
#1 0x080561f8 in eel_str_remove_bracketed_text ()
No symbol table info available.
#2 0x08056f12 in egg_recent_model_add_full ()
No symbol table info available.
#3 0x0805206e in gpdf_recent_facade_get_type ()
No symbol table info available.
#4 0x08052098 in gpdf_recent_facade_add_uri ()
No symbol table info available.
#5 0x08051d90 in gpdf_uri_input_open_uri ()
No symbol table info available.
#6 0x08050fa2 in gpdf_window_close ()
No symbol table info available.
#7 0x4fa41daa in bonobo_socket_add_id () from /usr/lib/libbonoboui-2.so.=
0
No symbol table info available.
#8 0xb7e59686 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9 0x4f87cc13 in bonobo_closure_invoke_va_list ()
   from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#10 0x4f87ce98 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
...

--=20
ciao,
Marco

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 28 Jan 2005 19:23:47 +0100
From: =?iso-8859-1?Q?Lo=EFc?= Minier <email address hidden>
To: <email address hidden>, Marc =?iso-8859-1?Q?Dequ=E8nes?= <email address hidden>,
 =?iso-8859-1?Q?Beno=EEt?= Dejean <email address hidden>,
 Sjoerd Simons <email address hidden>, Marco d'Itri <email address hidden>, <email address hidden>
Subject: Re: Bug#292346: Acknowledgement (buttons and menu entries broke after an upgrade)

severity 291336 important
reassign 292346 libglib2.0-0
merge 291336 292346
thanks

        Hi,

 It was G_FILENAME_ENCODING set to "@local". Sebastien Bacher is working
 on backporting the fix.

   Bye,

--=20
Lo=EFc Minier <email address hidden>
"Neutral President: I have no strong feelings one way or the other."

Le samedi 05 mars 2005 à 22:41 +0800, Hongzheng Wang a écrit :
> Sorry for my delayed reply.
>
> Yeah. You are right. I have also noticed this typo just after I
> reported this `bug'. Everything is OK now.
>
> Thank you very much :-)
>
> Please close this report.
>
Bug closed, thanks.

Cheers,

Sebastien Bacher

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sat, 05 Mar 2005 16:54:11 +0100
From: Sebastien Bacher <email address hidden>
To: <email address hidden>,
 Hongzheng Wang <email address hidden>
Subject: Re: Bug#291336: Thank you

Le samedi 05 mars 2005 =E0 22:41 +0800, Hongzheng Wang a =E9crit :
> Sorry for my delayed reply.
>=20
> Yeah. You are right. I have also noticed this typo just after I=20
> reported this `bug'. Everything is OK now.
>=20
> Thank you very much :-)
>=20
> Please close this report.
>=20
Bug closed, thanks.

Cheers,

Sebastien Bacher

Changed in gnome-panel:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.